from pydantic import BaseModel
from ipaddress import IPv4Address


class Modem(BaseModel):
    apn: str = 'internet'
    user: str = 'gdata'
    password: str = 'gdata'
    modem_address: IPv4Address = IPv4Address(bytes([0, 0, 0, 0]))
    modem_port: int = 0
    ping_address: IPv4Address = IPv4Address(bytes([77, 88, 8, 8]))
    sim_ip: str = '0.0.0.0'
